Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
CheckIndex.h File Reference
`#include "SegmentTermDocs.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::CheckIndex
| Basic tool and API to check the health of an index and write a new segments file that removes reference to problematic segments. More...
class | Lucene::IndexStatus
| Returned from checkIndex() detailing the health and status of the index. More...
class | Lucene::SegmentInfoStatus
| Holds the status of each segment in the index. See segmentInfos. More...
class | Lucene::FieldNormStatus
| Status from testing field norms. More...
class | Lucene::TermIndexStatus
| Status from testing term index. More...
class | Lucene::StoredFieldStatus
| Status from testing stored fields. More...
class | Lucene::TermVectorStatus
| Status from testing stored fields. More...

## Namespaces

| Lucene

clucene.sourceforge.net